using System;

internal sealed class Delegate245 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1);

	public static void smethod_0(object object_0, object object_1, Delegate245 delegate245_1)
	{
		delegate245_1(object_0, object_1);
	}

	public extern Delegate245(object object_0, IntPtr intptr_0);

	static Delegate245()
	{
		Class10.smethod_13(typeof(Delegate245).TypeHandle);
	}

	internal static Delegate245 delegate245_0;
}
